Package org.eclipse.cdt.core.settings.model.extension

# Interface ICProjectConverter

public interface ICProjectConverter

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvertProject(org.eclipse.core.resources.IProject project, String oldOwnerId, ICProjectDescription des)`
`ICProjectDescription`
`convertProject(org.eclipse.core.resources.IProject project, org.eclipse.core.resources.IProjectDescription eclipseProjDes, String oldOwnerId, ICProjectDescription des)`

## Method Details

### convertProject

ICProjectDescription convertProject(org.eclipse.core.resources.IProject project, org.eclipse.core.resources.IProjectDescription eclipseProjDes, String oldOwnerId, ICProjectDescription des) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### canConvertProject

boolean canConvertProject(org.eclipse.core.resources.IProject project, String oldOwnerId, ICProjectDescription des)